#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions/dcop
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevappoutputview.desktop kdevmakeview.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES
    kdevmakeview.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevappoutputview )

install( FILES
    kdevmakeview.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevmakeview )


##### libkdevmakeview (module) ##################

tde_add_kpart( libkdevmakeview AUTOMOC
  SOURCES
    makeviewpart.cpp makewidget.cpp
    directorystatusmessagefilter.cpp outputfilter.cpp
    compileerrorfilter.cpp commandcontinuationfilter.cpp
    makeitem.cpp makeactionfilter.cpp otherfilter.cpp
  LINK
    kdevdcopextensions-static kdevextensions-static
    kdevwidgets-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkdevappview (module) ###################

tde_add_kpart( libkdevappview AUTOMOC
  SOURCES
    appoutputviewpart.cpp appoutputwidget.cpp filterdlg.ui
  LINK
    kdevdcopextensions-static kdevextensions-static
    kdevwidgets-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
